//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. -I .:vendor/gitlab.mashplace.com/mashroom/backend mashroom_twilio.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mocktwilio -destination=mock/client.go . TwilioServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package twilio - api definition
package twilio

import (
	// generic proto
	_ "gitlab.mashplace.com/mashroom/backend/common/api/generic"
	_ "gitlab.mashplace.com/mashroom/backend/common/api/generic/query"
	_ "gitlab.mashplace.com/mashroom/backend/common/api/protobuf"
)
