package model

import (
	"context"

	"gitlab.mashplace.com/mashroom/backend/common/generic/migrations"
)

// Repository for persistent operations
type Repository interface {
	MigrateSchema(ctx context.Context, ms ...migrations.Migration) error
	IVRStateSave(ctx context.Context, state *IVRState) error
	IVRStateRemoveBySID(ctx context.Context, sid string) error
	IVRStateGetBySID(ctx context.Context, sid string) (*IVRState, error)
}
